@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600');

:root {
    --color-primary: #5F00FF;
}

body {
    font-family: 'Poppins',
        sans-serif;
}

a {
    color: inherit;
}

a:hover {
    text-decoration: none
}

.navbar-brand img {
    height: 50px;
}

.navbar {
    background-color: #ffffff !important;
}

.navbar-nav .nav-link {
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 1px
}

.active .nav-link {
    color: var(--color-primary) !important;
}

.row {
    margin: 0;
}


/*  */
main {
    padding-top: 18px
}

.avatar {
    height: 50px;
    width: 50px;
    border-radius: 50%;
    object-fit: cover
}

.sidenav {
    position: -webkit-sticky;
    position: sticky;
    top: 1rem;
    z-index: 1000;
    height: calc(100vh - 4rem);
    overflow: auto;
    border-left: 1px solid #eeeeee
}

.sidenav .title {
    letter-spacing: 3px;
    font-weight: 300;
    font-size: 1rem
}

.sidenav .row {
    align-items: center
}

.sidenav .card {
    border: none
}

.sidenav .card-body {
    padding: 12px;

}

.sidenav .card-body h5 {
    font-size: 1rem
}


section {
    padding-top: 18px;
}

/* Form */
#search form {
    display: flex;
    justify-content: center
}

#search form input {
    padding: 24px;
    /* border-radius: 25px; */
    width: calc(100vw - 50%);

}

/* Banner */
#banner {
    text-align: center;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    position: relative;
}


#banner img {
    height: 400px;
    width: 100%;
    object-fit: cover;
}

#banner button {
    position: absolute;
    bottom: 48px;
    
}

.btn {
    height: 40px;
    border-radius: 4px;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 0.8rem;
    letter-spacing: 2px;
    background-color: var(--color-primary);
    border: none;
    color: #ffffff;
    margin-top: 4px;
    margin-bottom: 4px;

}


/* Product */
#sort .col-3 {
    padding-left: 0;
    padding-right: 0;
    padding-top: 24px;
    padding-bottom: 24px;
}

#products .col-md-4 {
    padding: 0
}

#products .product .btn{
    min-width: 200px
}
#products .product .fa-check-circle {
    font-size: 1.5rem;
    color: #ffffff;
    position: absolute;
    top: 18px;
    right: 18px;
}

#products .card-title {
    margin: 0;
    font-weight: 300;
    letter-spacing: 1px;
    font-size: 1rem
}

#products .card-body {
    position: absolute;
    bottom: 0;
    width: 100%;
    color: #ffffff;
    background-color: rgb(95, 0, 255, 0.4);
    border-bottom-left-radius: calc(.25rem - 1px);
    border-bottom-right-radius: calc(.25rem - 1px);
    transition: 0.5s ease;
    display: flex;
    justify-content: space-between;
    align-items: center
}
#products .card-body i{
    font-size: 1.3rem
}

#products .card-body .favourite {
    color: red
}

#products .card-img-top {
    width: 100%;
    border-radius: calc(.25rem - 1px);
}

#products img {
    height: 300px;
    object-fit: cover
}

.action-buttons {
    transition: .5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
}

.buy-now-btn:hover {
    /* background-color: #5F00FF */
}

.product img {
    transition: .5s ease
}

.product:hover img,
.product:hover .card-body {
    opacity: 0.3;
}

.product:hover .card-body {
    opacity: 0;
}

.product:hover .action-buttons {
    opacity: 1;
}

/* Footer */
footer {
    /* padding-top: 20px; */
    /* height: 200px; */
    background-color: #efefef;
    margin-top: 36px;
    padding: 36px;
}

footer h3 {
    font-size: 1.5rem;
    font-weight: 600;
    letter-spacing: 1px
}

footer h5 {
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 1px
}


/* Photographer */


#photographers .photographer {
    min-height: 200px;
    /* position: relative; */
    margin-top: 100px;
    border: 1px solid var(--color-primary);
    border-radius: 12px
}

#photographers .photographer img {
    height: 150px;
    width: 150px;
    object-fit: cover;
    border-radius: 50%;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    top: -75px;
    border: 4px solid #ffffff;
    box-shadow: 0px 0px 18px var(--color-primary);
}

#photographers .photographer .card-body {
    margin-top: 75px
}

#photographers .profession {
    margin-bottom: 12px;
    color: #798591
}

#photographers .availability-status {
    margin-top: 36px;
    text-transform: uppercase;
    font-size: 0.8rem;
    font-weight: 600;
    letter-spacing: 1px;
    color: #007bff
}

#photographers .ratings .fa-star {
    color: #FFAB00;
    margin: 1px
}

#photographers .contacts .fa {
    font-size: 18px;
    margin: 8px;
    color: var(--color-primary);
}


/* Cart */
#cart .row{
    /* margin-top: 24px;
    margin-bottom: 24px;
    border-bottom: 1px solid #eeeeee */
}
#cart .col-md-3, #cart .col-md-9{
    padding-left: 30px;
    padding-right: 30px;
}
#cart img {
    height: 200px;
    width: 200px;
    object-fit: cover
}
#cart .image-price {
    font-size: 1.4rem;
    font-weight: bold
}
#cart .remove-btn {
    color: red;
    text-transform: uppercase
}

.cart-item{
    flex-direction: row;
}

.cart-heading{
    padding-left: 30px;
    padding-bottom: 10px;
    text-decoration-line: underline;
}

.user-profile-picture{
    width: 20%;
    height: 20%;
}

.user-profile-text{
    margin-top: 20px;
}

/* User Account */
#user-profile .media {
    display: flex;
    align-items: center
}
#user-profile .media-body {
    margin-left: 12px;
    margin-right: 12px;
}


/* photographer products in photographer profile */
#photographer-products .product img {
    transition: .5s ease;
height: 300px;
object-fit: cover
}

#photographer-products:hover .product img,
#photographer-products:hover .product .card-body {
    opacity: 1;
}

#photographer-products:hover .product .card-body {
    opacity: 1;
}

#photographer-products:hover .product .action-buttons {
    opacity: 1;
}